GlueGen: com.jogamp.common.util.InterruptSource Interface Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | List of all members
com.jogamp.common.util.InterruptSource Interface Reference

Interface exposing `java.lang.Thread#interrupt()` source, intended for `java.lang.Thread` specializations. More...

Inheritance diagram for com.jogamp.common.util.InterruptSource:
Collaboration diagram for com.jogamp.common.util.InterruptSource:

## Classes

class | Thread
| `java.lang.Thread` specialization implementing `InterruptSource` to track `java.lang.Thread#interrupt()` calls. More...
class | Util

## Public Member Functions

Throwable | getInterruptSource (final boolean clear)
| Returns the source of the last `interrupt()` call. More...
int | getInterruptCounter (final boolean clear)
| Returns the count of `java.lang.Thread#interrupt()` calls. More...
void | clearInterruptSource ()
| Clears source and count of `java.lang.Thread#interrupt()` calls, if any. More...

## Detailed Description

Interface exposing `java.lang.Thread#interrupt()` source, intended for `java.lang.Thread` specializations.

Since
  2.3.2

Definition at line 36 of file InterruptSource.java.

## Member Function Documentation

## ◆ clearInterruptSource()

void com.jogamp.common.util.InterruptSource.clearInterruptSource | ( |  | ) |

Clears source and count of `java.lang.Thread#interrupt()` calls, if any.

Implemented in com.jogamp.common.util.InterruptSource.Thread.

## ◆ getInterruptCounter()

int com.jogamp.common.util.InterruptSource.getInterruptCounter | ( | final boolean | clear | ) |

Returns the count of `java.lang.Thread#interrupt()` calls.

Parameters

  clear | if true, issues `clearInterruptSource()`

Implemented in com.jogamp.common.util.InterruptSource.Thread.

## ◆ getInterruptSource()

Throwable com.jogamp.common.util.InterruptSource.getInterruptSource | ( | final boolean | clear | ) |

Returns the source of the last `interrupt()` call.

Parameters

  clear | if true, issues `clearInterruptSource()`

Implemented in com.jogamp.common.util.InterruptSource.Thread.

Here is the caller graph for this function:

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/common/util/InterruptSource.java